﻿Type=StaticCode
Version=4.7
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
' B4jUtils code module Version 1.0 written for B4J dev env and community.
' Contributors : Roger 'ThruST' Lindfors (rogerlindfors@hotmail.com)

Sub Process_Globals
	Private fx As JFX	
	Private os As String = GetSystemProperty("os.name", "").ToLowerCase
End Sub

' ---------------------------------------------------------------------------------
' AppPath creates/returns the application path by detecting O/S automatically.
' Provide name of subfolder example (B4jUtils.AppPath("Appname").
' Use CreateFolder first to create a folder for your application.
public Sub AppPath (AppName As String)
		
		Private wf1 As String = File.Combine(GetEnvironmentVariable("AppData", ""), AppName)
  		If os.Contains("win") Then
			File.MakeDir(wf1, "")
    		Return wf1
  		Else
    		Return File.DirApp
  		End If
  
End Sub

' ---------------------------------------------------------------------------------
' Creates/returns the subfolder for your application by autodetecting O/S automatically. 
' Usage: AppSubFolder("Appname","Subfolder")
Public Sub AppSubFolder (AppName As String, Folder As String)
	
	Private wf2 As String = File.Combine(GetEnvironmentVariable("AppData", ""), AppName)
  		If os.Contains("win") Then
			File.MakeDir(wf2, "/" & Folder)
		Else
    		Return File.DirApp
		End If
End Sub
